#ifndef __chart_h__
#define __chart_h__

#include <gnome.h>

#include "py_module.h"
#include "data.h"

GList *chart_acc_list, *chart_group_list;

#define CHART_GROUP_MAX_SIZE 32

#define CHART_CANVAS_SIZE_X 500
#define CHART_CANVAS_SIZE_Y 250

typedef struct _ChartGroupData ChartGroupData;
typedef struct _ChartAccountData ChartAccountData;

#define ChartGroupDataPtr(x) ((ChartGroupData *)(x))
#define ChartAccountDataPtr(x) ((ChartAccountData *)(x))

struct _ChartAccountData {
     AccountData *account;
     guint32 rgb;
};

struct _ChartGroupData {
     gchar name[CHART_GROUP_MAX_SIZE];
     gchar expr[PY_EXPRESSION_MAX_SIZE];
};

void chart_init(void);
void chart_done(void);
GtkWidget *chart_new(void);
void chart_build(void);

#endif
