
#include <config.h>

#include <gnome.h>

#include <locale.h>

#include "data.h"
#include "py_module.h"

#include "actions.h"
#include "interface.h"

#include "chart.h"

#include "prefs.h"

void test_me();

static void popt_callback(poptContext ctx, enum poptCallbackReason reason, const struct poptOption *opt, char *arg, void *data)
{
     switch (opt->shortName) {
     case 'i' :
	  py_module_import_module(arg);
	  break;
     case 'p' :
	  py_module_include_file(arg, FALSE);
	  break;
     default:
	  g_assert_not_reached();
     }
}

static const struct poptOption popt_options[] = {
    {NULL, '\0', POPT_ARG_CALLBACK, &popt_callback, 0 },
    {"import", 'i', POPT_ARG_STRING, NULL, 0, N_("Import python module"), N_("MODULE")},
    {"parse", 'p', POPT_ARG_STRING, NULL, 0, N_("Parse a specyfied python source file"), N_("FILE")},
    {NULL, '\0', POPT_ARG_STRING, NULL, 0, N_("Open a specyfied file"), N_("FILE")},
    {NULL, '\0', 0, NULL, 0}
};

int main(int argc, char *argv[])
{
     poptContext popt_context;
     const char **args;

     setlocale(LC_ALL, "");

     bindtextdomain(PACKAGE, "/usr/share/locale");
     textdomain(PACKAGE);

     gnome_init_with_popt_table(PACKAGE, VERSION, argc, argv, popt_options, 0, &popt_context);
     args = poptGetArgs(popt_context);

     interface_build();
     py_module_init();
     data_init();
     chart_init();
     prefs_load();

     if (args && args[0])
	  action_open_direct(args[0]);
     else
	  prefs_startup_open();
     poptFreeContext(popt_context);

     gtk_main();

     prefs_save();
     chart_done();
     data_done();
     py_module_done();
     interface_free();

     return 0;
}

