
#include <config.h>

#include <gtk/gtk.h>
#include <strings.h>
#include <stdio.h>
#include <gnome.h>

#include "actions.h"

#include "menu.h"

#include "misc.h"


GnomeUIInfo file_menu[] =
{
    GNOMEUIINFO_MENU_NEW_ITEM(N_("_New"), N_("Create a new document"),
			      action_new, NULL),

    GNOMEUIINFO_SEPARATOR,

    GNOMEUIINFO_MENU_OPEN_ITEM(action_open, NULL),

    GNOMEUIINFO_MENU_SAVE_ITEM(action_save, NULL),

    GNOMEUIINFO_MENU_SAVE_AS_ITEM(action_saveas, NULL),

    GNOMEUIINFO_SEPARATOR,

    GNOMEUIINFO_ITEM_STOCK(N_("_Preferences..."), N_("Setup preferences"), 
			   action_preferences, GNOME_STOCK_MENU_PREF),

    GNOMEUIINFO_SEPARATOR,

    GNOMEUIINFO_MENU_EXIT_ITEM(action_quit, NULL),

    GNOMEUIINFO_END
};

GnomeUIInfo account_menu[] =
{

    GNOMEUIINFO_ITEM_STOCK(N_("_New..."), N_("Add new account"), action_account_new, GNOME_STOCK_MENU_BLANK),

    GNOMEUIINFO_ITEM_STOCK(N_("_Edit..."), N_("Edit account"), action_account_edit, GNOME_STOCK_MENU_PROP),

    GNOMEUIINFO_ITEM_STOCK(N_("_Delete..."), N_("Delete account"), 
			   action_account_delete, GNOME_STOCK_MENU_TRASH),

    GNOMEUIINFO_END
};

GnomeUIInfo transaction_menu[] =
{

    GNOMEUIINFO_ITEM_STOCK(N_("_New..."), N_("Add new transaction"), 
			   action_transaction_new, GNOME_STOCK_MENU_BLANK),

    GNOMEUIINFO_ITEM_STOCK(N_("_Edit..."), N_("Edit selected transaction"), 
			   action_transaction_edit, GNOME_STOCK_MENU_PROP),

    GNOMEUIINFO_ITEM_STOCK(N_("_Delete"), N_("Delete transaction"), 
			   action_transaction_delete, GNOME_STOCK_MENU_TRASH),

    GNOMEUIINFO_SEPARATOR,

    GNOMEUIINFO_ITEM_STOCK(N_("_Select..."), N_("Select transactions according to the entered expresion"), 
			   action_transaction_select, GNOME_STOCK_MENU_BLANK),

    GNOMEUIINFO_ITEM_STOCK(N_("_Unselect..."), N_("Unselect transactions according to the entered expresion"),
			   action_transaction_unselect, GNOME_STOCK_MENU_BLANK),

    GNOMEUIINFO_ITEM_STOCK(N_("_Reverse selection"), N_("Reverse selection of transactions"), 
			   action_transaction_reverse_selection, GNOME_STOCK_MENU_BLANK),

    GNOMEUIINFO_SEPARATOR,

    GNOMEUIINFO_ITEM_STOCK(N_("Transactions _info..."), N_("Get info on selected transactions"),
			   action_transaction_info, GNOME_STOCK_MENU_BLANK),

    GNOMEUIINFO_END
};

GnomeUIInfo schedule_menu[] =
{

    GNOMEUIINFO_ITEM_STOCK(N_("_New..."), N_("Add new transaction to schedule"), 
			   action_schedule_new, GNOME_STOCK_MENU_BLANK),

    GNOMEUIINFO_ITEM_STOCK(N_("_Edit..."), N_("Edit selected scheduled transaction"), 
			   action_schedule_edit, GNOME_STOCK_MENU_PROP),

    GNOMEUIINFO_ITEM_STOCK(N_("_Delete"), N_("Delete scheduled transaction"), 
			   action_schedule_delete, GNOME_STOCK_MENU_TRASH),

    GNOMEUIINFO_END
};

GnomeUIInfo chart_menu[] =
{

    GNOMEUIINFO_ITEM_STOCK(N_("_Setup..."), N_("Setup chart"), action_chart_setup, GNOME_STOCK_MENU_PROP),

    GNOMEUIINFO_ITEM_STOCK(N_("_Recalculate..."), N_("Recalculate chart"), 
			   action_chart_recalculate, GNOME_STOCK_MENU_REFRESH),

    GNOMEUIINFO_END
};

GnomeUIInfo limit_menu[] = 
{
     GNOMEUIINFO_ITEM_STOCK(N_("_Edit limit..."), N_("Edit limit manually"), 
			    action_limit_edit, GNOME_STOCK_MENU_PROP),

     GNOMEUIINFO_ITEM_STOCK(N_("_Clear limit"), N_("Include all transactions"), 
			    action_limit_clear, GNOME_STOCK_MENU_BLANK),

     GNOMEUIINFO_SEPARATOR,

     GNOMEUIINFO_ITEM_STOCK(N_("_Apply"), N_("Calculate limit once again"), 
			    action_limit_apply, GNOME_STOCK_MENU_REFRESH),
     
     GNOMEUIINFO_END
};

GnomeUIInfo help_menu[] =
{

    GNOMEUIINFO_HELP("Emma"),

    GNOMEUIINFO_MENU_ABOUT_ITEM(action_about, NULL),

    GNOMEUIINFO_END
};


GnomeUIInfo main_menu[] =
{
    GNOMEUIINFO_MENU_FILE_TREE(file_menu),

    GNOMEUIINFO_SUBTREE_HINT(N_("_Account"), N_("Accounts menu"), account_menu),

    GNOMEUIINFO_SUBTREE_HINT(N_("_Transaction"), N_("Transactions menu"), transaction_menu),

    GNOMEUIINFO_SUBTREE_HINT(N_("_Schedule"), N_("Schedule menu"), schedule_menu),

    GNOMEUIINFO_SUBTREE_HINT(N_("_Chart"), N_("Chart menu"), chart_menu),

    GNOMEUIINFO_SUBTREE_HINT(N_("_Limit"), N_("Limit menu"), limit_menu),

    GNOMEUIINFO_MENU_HELP_TREE(help_menu),

    GNOMEUIINFO_END
};

void build_menu(GnomeApp * application)
{
/*
     translate_uiinfo(main_menu);

     translate_uiinfo(file_menu);
     translate_uiinfo(account_menu);
     translate_uiinfo(transaction_menu);
     translate_uiinfo(schedule_menu);
     translate_uiinfo(chart_menu);
     translate_uiinfo(limit_menu);
     translate_uiinfo(help_menu);
*/
     gnome_app_create_menus(GNOME_APP(application), main_menu);
}
